routes/web.php
<?php

use App\Http\Controllers\QuestionController;
use App\Http\Controllers\QuestionsOptionsController;
use App\Http\Controllers\ResultsController;
use App\Http\Controllers\TopicController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/dashboard', [TopicController::class, 'index'])->name('dashboard');

Route::resource('users', UserController::class);
Route::resource('topics', TopicController::class);
Route::resource('questions', QuestionController::class);
Route::resource('options', QuestionsOptionsController::class);
Route::get('/results/score', [ResultsController::class, 'score'])->name('results.score');
Route::resource('results', ResultsController::class);


require __DIR__ . '/auth.php';

app/Models/Option.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;

class Option extends Model
{
    protected $table = 'questions_options';
    protected $fillable = ['option', 'correct', 'binary', 'question_id'];

    public function question(): HasOne
    {
        return $this->hasOne('App\Models\Question', 'id', 'question_id');
    }
}

app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     *
     * @return \Illuminate\View\View
     */
    public function render()
    {
        return view('layouts.app');
    }
}

resources/views/options/edit.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Edit Option') }}
        </h2>
    </x-slot>
    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="d-flex" id="wrapper">
                    <div class="container">
                        @if($option)
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            <div class="form-group">
                                <hr>
                                <form action="{{route('options.update', $option->id)}}" method="post">
                                    @csrf
                                    @method('put')
                                    <div class="table-responsive">
                                        <div class="form-group">
                                            <select name="question_id" class="form-control">
                                                @foreach($questions as $question)
                                                    <option
                                                        {{($option->question_id == $question->id) ? 'selected' : ''}} value="{{$question->id}}">{{$question->text}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <input type="text" required class="form-control options_list" name="option"
                                                   id="" value="{{$option->option}}"/>
                                        </div>
                                        <div>
                                            Correct
                                            <input type="checkbox"
                                                   name="correct"
                                                   value="1"
                                                {{($option->correct == 1) ? 'checked' : ''}}
                                            />
                                        </div>
                                        <div class="mt-3">
                                            <input class="btn btn-primary" type="submit" value="Update">
                                        </div>
                                    </div>
                                </form>
                            </div>
                        @else
                            <h1>No Question Option</h1>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
</x-app-layout>

resources/views/options/index.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('All Options') }}
        </h2>
    </x-slot>
    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="d-flex" id="wrapper">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12 mt-4">
                                <h3 class="page-title"></h3>
                                <table class="table table-bordered table-striped datatable">
                                    <thead>
                                    <tr>
                                        <th>Question</th>
                                        <th>Question option</th>
                                        <th>Correct</th>
                                        <th>More</th>
                                    </tr>
                                    </thead>

                                    <tbody>
                                    @foreach($options as $option)
                                        <tr>
                                            <td>
                                                @if($option->question)
                                                    {{$option->question->text}}
                                                @endif
                                            </td>
                                            <td>{{$option->option}}</td>
                                            <td>
                                                @if($option->correct == 1)
                                                    Yes
                                                @else
                                                    No
                                                @endif
                                            </td>
                                            <td>
                                                <a href="{{route('options.show', $option->id)}}"
                                                   class="btn btn-xs btn-primary">View</a>
                                                <a href="{{route('options.edit', $option->id)}}"
                                                   class="btn btn-xs btn-warning">Edit</a>
                                                <form class="inline-flex"
                                                      action="{{route('options.destroy', $option->id)}}"
                                                      method="post">
                                                    @csrf
                                                    @method('delete')
                                                    <button class="btn btn-xs btn-danger" type="submit">Delete</button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>

resources/views/options/show.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            Option ID: {{$option->id}}
        </h2>
    </x-slot>
    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="d-flex" id="wrapper">
                <div class="d-flex" id="wrapper">
                    <div class="container">
                        @if($option)
                            <div class="row">
                                <div class="col-md-12 mt-4">
                                    <table class="table table-bordered table-striped datatable">
                                        <thead>
                                        <tr>
                                            <th>Question</th>
                                            <th>Question option</th>
                                            <th>Correct</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <td>
                                                @if($option->question)
                                                    {{$option->question->text}}
                                                @endif
                                            </td>
                                            <td>{{$option->option}}</td>
                                            <td>
                                                @if($option->correct == 1)
                                                    Yes
                                                @else
                                                    No
                                                @endif
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        @else
                            <h1>No Option</h1>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
</x-app-layout>